
/***************************************************
* C sample
*  File Name: 16F688_temperature_UART.c
*  Description: Measure temperature and send it to PC by UART
*  Send C4, Receive C5, ADC A2, LED C2, Xtal A4 and A5
***************************************************/
// include headre file
#include	<16f688.h>
#DEVICE ADC=10

// settings
#fuses	HS, NOWDT, PUT, NOPROTECT, NOMCLR, NOCPD, 
#use delay(CLOCK = 20000000)
#use RS232(BAUD=9600, XMIT=PIN_C4, RCV=PIN_C5)
 
// main
void main(){
	// valiables
	float  Temper;	
	// A/D converter initialize AN2
	setup_adc_ports(sAN2 | VSS_VDD);	
	setup_adc(ADC_CLOCK_DIV_16);			// 4usec
	// mail loop
	while(1)	{
		delay_ms(5);
		output_toggle(PIN_C2);
		// convert 
		set_adc_channel(2);
		delay_us(50);						// wait charge
		Temper = read_adc();
		Temper = (50.0 * Temper) / 1024;
		// Send it by UART
		printf("Temperature= %2.1f DegC\r\n", Temper);
		// wait
		delay_ms(1000);
	}
}


